{% layout 'layouts/html.liquid' %}

{% block head %}
  <title>chatroom</title>
  <link rel="stylesheet" href="styles/chatbox.css">
  <script src='/socket.io/socket.io.js'></script>
{% endblock %}

{% block content %}
  <h1>Ephemeral Chat</h1>
  <div class="chat-wrapper">
    <div class="chatbox">
      <ul class="messages-list" id="messages"></ul>

      <form id="new-message-form">
        <div class="input-group">
          <input
            type="text"
            class="form-control new-message-input"
            placeholder="New message"
            autocomplete="off" />
          <div class="input-group-btn">
            <button class="btn">Send</button>
          </div>
        </div>
      </form>
    </div>
  </div>

  <style>
    .chat-wrapper {
      width: 400px;
    }
  </style>

  <script>
    const li = $('<li>').append("<b>Welcome to Chat</b> Get Started by entering a message below");
    $('#messages').append(li);
  </script>

  <script>
    var socket = io();
    $('#new-message-form').submit(function() {
      socket.emit('chat-message', $('#new-message-form input').val());
      $('#new-message-form input').val('');
      return false;
    });

    // receive messages submitted to server
    socket.on('chat-message-from-server', function(msg) {
      $('#messages').append($('<li>').text(msg));
    });
  </script>
{% endblock %}